//-------------------------------------------------------------------------//
// Copyright (c) Raymarine UK Limited 2013
//
// Reproduction or transmission in whole or in part (whether by photocopying or
// storing in any medium by electronic means or otherwise) without the written
// permission of Raymarine UK Limited is prohibited.
//
// Confidential
//-------------------------------------------------------------------------//

#ifndef CrashLogConfiguration_H
#define CrashLogConfiguration_H

#include <string>

#include "OMAPCrash.h"

//--------------------------------------------------------------------------------
// This class wraps up the initialisation of crash logging.
//
class CCrashLogConfiguration{
public:

    CCrashLogConfiguration();
    virtual ~CCrashLogConfiguration();
    
    void
    Init(
        const char* backtraceLogFolder, 
        const char* logFileBaseName,
        const char* applicationName,
        const char* softwareVersionString,
        unsigned int MaxNumBacktraceLogs,
        unsigned int MaxNumScreenDumps,
        CrashLoggerOutputFunctionPtr_t pLNetDiagnosticsOutput = 0,
        CrashLoggerOutputFunctionPtr_t pFunctionTraceOutput = 0
    );  
    
    void
    DeInit();  
    
private:

    void
    GetNextFilename(const char* pLogDir,
                    const char* pBase,
                    const char* pExtension,
                    unsigned int MaxNumFiles,
                    std::string& NextFilename);

    //--------------------------------------------------------------------------
    // Disallow object copying by providing a private copy constuctor and 
    // assignment operator.
    //
    CCrashLogConfiguration(const CCrashLogConfiguration& rOther);

    CCrashLogConfiguration&
    operator = (const CCrashLogConfiguration& rOther);
};

#endif

//--------------------------------------------------------------------------------
// EOF
//
