/*
Copyright (c) 2016, Raymarine UK Limited
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of Raymarine UK Limited nor the
      names of its contributors may be used to endorse or promote products
      derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#pragma once

//-------------------------------------------------------------------------//

#include <QObject>
#include <QTimer>
#include "ProcessWatchdogMonitor.h"

class QAndroidJniObject;

//-------------------------------------------------------------------------//

class CProcessWatchdogAndroid : public QObject,
                                public ProcessWatchdogMonitor
{
public:
    Q_OBJECT
public:
    /// Constructor
    CProcessWatchdogAndroid();

    virtual ~CProcessWatchdogAndroid();

    /// Set the watchdog timeout in seconds
    /// \param[in] Timeout  New timout in seconds
    void SetWatchdogTimeout(int Timeout) override;

    /// Toggle the watchdog manually
    Q_SLOT void Toggle() override;

protected:
    virtual unsigned int getToggleRate() const;

private:

    QAndroidJniObject* m_pProcessMonitor;
    QTimer m_WriterTimer;           ///< Watchdog write timer

};

//-------------------------------------------------------------------------//

