CONFIG += console
CONFIG += no_keywords
QT += core network

!include(../Common.pri) {
    error("Couldn't include the Common.pri file")
}

SOURCES += \
    CameraProxy.cpp \
    IPVideoControl.cpp \
    OnvifMain.cpp \
    DiscoveryService.cpp \
    IpCameraStore.cpp \
    duration.cpp \
    soapC.cpp \
    soapDeviceBindingProxy.cpp \
    soapImagingBindingProxy.cpp \
    soapMediaBindingProxy.cpp \
    wsddapi.cpp \
    wsaapi.cpp \
    stdsoap2.cpp \
    wsddClient.cpp \
    ../FrameworkCommon/EventLogger.cpp \
    ../FrameworkCommon/IpInfo.cpp \
    ../FrameworkCommon/MemoryEventLogger.cpp

HEADERS += \
    CameraProxy.h \
    IPVideoControl.h \
    DiscoveryService.h \
    IpCameraStore.h \
    soapDeviceBindingProxy.h \
    soapH.h \
    soapImagingBindingProxy.h \
    soapMediaBindingProxy.h \
    soapStub.h \
    wsddapi.h \
    wsaapi.h \
    threads.h \
    stdsoap2.h \
    wsddH.h \
    ../FrameworkCommon/EventLogger.h \
    ../FrameworkCommon/GetThreadId.h \
    ../FrameworkCommon/IpInfo.h \
    ../FrameworkCommon/IProcessWatchdog.h \
    ../FrameworkCommon/MemoryEventLogger.h \
    ../FrameworkCommon/RayAssert.h
    
android {
    QT *= androidextras
    SOURCES += ../FrameworkCommon/ProcessWatchdogAndroid.cpp
    HEADERS += ../FrameworkCommon/ProcessWatchdogAndroid.h
}
else {
    SOURCES += ../FrameworkCommon/ProcessWatchdogFifoFile.cpp
    HEADERS += ../FrameworkCommon/ProcessWatchdogFifoFile.h

    contains(TARGETNAME, ATOM_OMAP4) {
        SOURCES += OMAPCrash.cpp
        HEADERS += ../FrameworkCommon/OMAPCrash.h
        SOURCES += ../FrameworkCommon/POSIXDirectory.cpp
        HEADERS += ../FrameworkCommon/POSIXDirectory.h
        HEADERS += ../FrameworkCommon/CrashLogConfiguration.h
        SOURCES += ../FrameworkCommon/CrashLogConfiguration.cpp
        HEADERS += ../FrameworkCommon/BacktraceDirectory.h
        SOURCES += ../FrameworkCommon/BacktraceDirectory.cpp
        LIBS *= -lboost_regex -lboost_system -lboost_filesystem
    }
}
SOURCES += ../FrameworkCommon/ProcessWatchdogMonitor.cpp
HEADERS += ../FrameworkCommon/ProcessWatchdogMonitor.h

DEFINES *= WITH_NONAMESPACES
INCLUDEPATH += ../

QMAKE_CXXFLAGS_WARN_ON *= -Wno-unused-parameter
QMAKE_CXXFLAGS_WARN_ON *= -Wno-unused-variable
QMAKE_CXXFLAGS_WARN_ON *= -Wno-extra
QMAKE_CXXFLAGS_WARN_ON *= -Wno-unknown-warning-option
QMAKE_CXXFLAGS_WARN_ON *= -Wno-address
QMAKE_CXXFLAGS_WARN_ON *= -Wno-nonnull-compare
QMAKE_CXXFLAGS_WARN_ON *= -Wno-misleading-indentation
QMAKE_CXXFLAGS_WARN_ON *= -Wno-format-truncation

contains(TARGETNAME, ATOM_OMAP4)|contains(TARGETNAME, WORKSTATION) {
    target.path = $$TARGET_INSTALL_PATH
    INSTALLS += target

    strip.path = $$TARGET_INSTALL_PATH
    strip.extra = $$QMAKE_STRIP $(INSTALL_ROOT)/$$TARGET_INSTALL_PATH/$${TARGET}
    INSTALLS += strip
}

# SoapC won't link properly and generates lots of errors, if complied with sanitize.
PLATFORM_WORKSTATION {
    QMAKE_CXXFLAGS-= -fsanitize=address -fno-omit-frame-pointer
    QMAKE_CFLAGS-= -fsanitize=address -fno-omit-frame-pointer
    QMAKE_LFLAGS-= -fsanitize=address
    QMAKE_CXXFLAGS-= -fsanitize=undefined -fno-omit-frame-pointer
    QMAKE_CFLAGS-= -fsanitize=undefined -fno-omit-frame-pointer
    QMAKE_LFLAGS-= -fsanitize=undefined
}
