/* soapMediaBindingProxy.h
   Generated by gSOAP 2.8.34 for onvif.h

gSOAP XML Web services tools
Copyright (C) 2000-2016, Robert van Engelen, Genivia Inc. All Rights Reserved.
The soapcpp2 tool and its generated software are released under the GPL.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
--------------------------------------------------------------------------------
A commercial use license is available from Genivia Inc., contact@genivia.com
--------------------------------------------------------------------------------
*/

#ifndef soapMediaBindingProxy_H
#define soapMediaBindingProxy_H
#include "soapH.h"

    class SOAP_CMAC MediaBindingProxy : public soap {
      public:
        /// Endpoint URL of service 'MediaBindingProxy' (change as needed)
        const char *soap_endpoint;
        /// Variables globally declared in onvif.h, if any
        /// Construct a proxy with new managing context
        MediaBindingProxy();
        /// Copy constructor
        MediaBindingProxy(const MediaBindingProxy& rhs);
        /// Construct proxy given a managing context
        MediaBindingProxy(const struct soap&);
        /// Constructor taking an endpoint URL
        MediaBindingProxy(const char *endpoint);
        /// Constructor taking input and output mode flags for the new managing context
        MediaBindingProxy(soap_mode iomode);
        /// Constructor taking endpoint URL and input and output mode flags for the new managing context
        MediaBindingProxy(const char *endpoint, soap_mode iomode);
        /// Constructor taking input and output mode flags for the new managing context
        MediaBindingProxy(soap_mode imode, soap_mode omode);
        /// Destructor deletes deserialized data and managing context
        virtual ~MediaBindingProxy();
        /// Initializer used by constructors
        virtual void MediaBindingProxy_init(soap_mode imode, soap_mode omode);
        /// Return a copy that has a new managing context with the same engine state
        virtual MediaBindingProxy *copy() SOAP_PURE_VIRTUAL;
        /// Copy assignment
        MediaBindingProxy& operator=(const MediaBindingProxy&);
        /// Delete all deserialized data (uses soap_destroy() and soap_end())
        virtual void destroy();
        /// Delete all deserialized data and reset to default
        virtual void reset();
        /// Disables and removes SOAP Header from message by setting soap->header = NULL
        virtual void soap_noheader();
        /// Add SOAP Header to message
        virtual void soap_header(char *wsa5__MessageID, struct wsa5__RelatesToType *wsa5__RelatesTo, struct wsa5__EndpointReferenceType *wsa5__From, struct wsa5__EndpointReferenceType *wsa5__ReplyTo, struct wsa5__EndpointReferenceType *wsa5__FaultTo, char *wsa5__To, char *wsa5__Action, struct chan__ChannelInstanceType *chan__ChannelInstance, char *wsa__MessageID, struct wsa__Relationship *wsa__RelatesTo, struct wsa__EndpointReferenceType *wsa__From, struct wsa__EndpointReferenceType *wsa__ReplyTo, struct wsa__EndpointReferenceType *wsa__FaultTo, char *wsa__To, char *wsa__Action, struct wsdd__AppSequenceType *wsdd__AppSequence);
        /// Get SOAP Header structure (i.e. soap->header, which is NULL when absent)
        virtual ::SOAP_ENV__Header *soap_header();
        /// Get SOAP Fault structure (i.e. soap->fault, which is NULL when absent)
        virtual ::SOAP_ENV__Fault *soap_fault();
        /// Get SOAP Fault string (NULL when absent)
        virtual const char *soap_fault_string();
        /// Get SOAP Fault detail as string (NULL when absent)
        virtual const char *soap_fault_detail();
        /// Close connection (normally automatic, except for send_X ops)
        virtual int soap_close_socket();
        /// Force close connection (can kill a thread blocked on IO)
        virtual int soap_force_close_socket();
        /// Print fault
        virtual void soap_print_fault(FILE*);
    #ifndef WITH_LEAN
    #ifndef WITH_COMPAT
        /// Print fault to stream
        virtual void soap_stream_fault(std::ostream&);
    #endif
        /// Write fault to buffer
        virtual char *soap_sprint_fault(char *buf, size_t len);
    #endif
        /// Web service operation 'GetServiceCapabilities' (returns SOAP_OK or error code)
        virtual int GetServiceCapabilities(_trt__GetServiceCapabilities *trt__GetServiceCapabilities, _trt__GetServiceCapabilitiesResponse &trt__GetServiceCapabilitiesResponse)
        { return this->GetServiceCapabilities(NULL, NULL, trt__GetServiceCapabilities, trt__GetServiceCapabilitiesResponse); }
        virtual int GetServiceCapabilities(const char *soap_endpoint, const char *soap_action, _trt__GetServiceCapabilities *trt__GetServiceCapabilities, _trt__GetServiceCapabilitiesResponse &trt__GetServiceCapabilitiesResponse);
        /// Web service operation 'GetVideoSources' (returns SOAP_OK or error code)
        virtual int GetVideoSources(_trt__GetVideoSources *trt__GetVideoSources, _trt__GetVideoSourcesResponse &trt__GetVideoSourcesResponse)
        { return this->GetVideoSources(NULL, NULL, trt__GetVideoSources, trt__GetVideoSourcesResponse); }
        virtual int GetVideoSources(const char *soap_endpoint, const char *soap_action, _trt__GetVideoSources *trt__GetVideoSources, _trt__GetVideoSourcesResponse &trt__GetVideoSourcesResponse);
        /// Web service operation 'GetAudioSources' (returns SOAP_OK or error code)
        virtual int GetAudioSources(_trt__GetAudioSources *trt__GetAudioSources, _trt__GetAudioSourcesResponse &trt__GetAudioSourcesResponse)
        { return this->GetAudioSources(NULL, NULL, trt__GetAudioSources, trt__GetAudioSourcesResponse); }
        virtual int GetAudioSources(const char *soap_endpoint, const char *soap_action, _trt__GetAudioSources *trt__GetAudioSources, _trt__GetAudioSourcesResponse &trt__GetAudioSourcesResponse);
        /// Web service operation 'GetAudioOutputs' (returns SOAP_OK or error code)
        virtual int GetAudioOutputs(_trt__GetAudioOutputs *trt__GetAudioOutputs, _trt__GetAudioOutputsResponse &trt__GetAudioOutputsResponse)
        { return this->GetAudioOutputs(NULL, NULL, trt__GetAudioOutputs, trt__GetAudioOutputsResponse); }
        virtual int GetAudioOutputs(const char *soap_endpoint, const char *soap_action, _trt__GetAudioOutputs *trt__GetAudioOutputs, _trt__GetAudioOutputsResponse &trt__GetAudioOutputsResponse);
        /// Web service operation 'CreateProfile' (returns SOAP_OK or error code)
        virtual int CreateProfile(_trt__CreateProfile *trt__CreateProfile, _trt__CreateProfileResponse &trt__CreateProfileResponse)
        { return this->CreateProfile(NULL, NULL, trt__CreateProfile, trt__CreateProfileResponse); }
        virtual int CreateProfile(const char *soap_endpoint, const char *soap_action, _trt__CreateProfile *trt__CreateProfile, _trt__CreateProfileResponse &trt__CreateProfileResponse);
        /// Web service operation 'GetProfile' (returns SOAP_OK or error code)
        virtual int GetProfile(_trt__GetProfile *trt__GetProfile, _trt__GetProfileResponse &trt__GetProfileResponse)
        { return this->GetProfile(NULL, NULL, trt__GetProfile, trt__GetProfileResponse); }
        virtual int GetProfile(const char *soap_endpoint, const char *soap_action, _trt__GetProfile *trt__GetProfile, _trt__GetProfileResponse &trt__GetProfileResponse);
        /// Web service operation 'GetProfiles' (returns SOAP_OK or error code)
        virtual int GetProfiles(_trt__GetProfiles *trt__GetProfiles, _trt__GetProfilesResponse &trt__GetProfilesResponse)
        { return this->GetProfiles(NULL, NULL, trt__GetProfiles, trt__GetProfilesResponse); }
        virtual int GetProfiles(const char *soap_endpoint, const char *soap_action, _trt__GetProfiles *trt__GetProfiles, _trt__GetProfilesResponse &trt__GetProfilesResponse);
        /// Web service operation 'AddVideoEncoderConfiguration' (returns SOAP_OK or error code)
        virtual int AddVideoEncoderConfiguration(_trt__AddVideoEncoderConfiguration *trt__AddVideoEncoderConfiguration, _trt__AddVideoEncoderConfigurationResponse &trt__AddVideoEncoderConfigurationResponse)
        { return this->AddVideoEncoderConfiguration(NULL, NULL, trt__AddVideoEncoderConfiguration, trt__AddVideoEncoderConfigurationResponse); }
        virtual int AddVideoEncoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__AddVideoEncoderConfiguration *trt__AddVideoEncoderConfiguration, _trt__AddVideoEncoderConfigurationResponse &trt__AddVideoEncoderConfigurationResponse);
        /// Web service operation 'AddVideoSourceConfiguration' (returns SOAP_OK or error code)
        virtual int AddVideoSourceConfiguration(_trt__AddVideoSourceConfiguration *trt__AddVideoSourceConfiguration, _trt__AddVideoSourceConfigurationResponse &trt__AddVideoSourceConfigurationResponse)
        { return this->AddVideoSourceConfiguration(NULL, NULL, trt__AddVideoSourceConfiguration, trt__AddVideoSourceConfigurationResponse); }
        virtual int AddVideoSourceConfiguration(const char *soap_endpoint, const char *soap_action, _trt__AddVideoSourceConfiguration *trt__AddVideoSourceConfiguration, _trt__AddVideoSourceConfigurationResponse &trt__AddVideoSourceConfigurationResponse);
        /// Web service operation 'AddAudioEncoderConfiguration' (returns SOAP_OK or error code)
        virtual int AddAudioEncoderConfiguration(_trt__AddAudioEncoderConfiguration *trt__AddAudioEncoderConfiguration, _trt__AddAudioEncoderConfigurationResponse &trt__AddAudioEncoderConfigurationResponse)
        { return this->AddAudioEncoderConfiguration(NULL, NULL, trt__AddAudioEncoderConfiguration, trt__AddAudioEncoderConfigurationResponse); }
        virtual int AddAudioEncoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__AddAudioEncoderConfiguration *trt__AddAudioEncoderConfiguration, _trt__AddAudioEncoderConfigurationResponse &trt__AddAudioEncoderConfigurationResponse);
        /// Web service operation 'AddAudioSourceConfiguration' (returns SOAP_OK or error code)
        virtual int AddAudioSourceConfiguration(_trt__AddAudioSourceConfiguration *trt__AddAudioSourceConfiguration, _trt__AddAudioSourceConfigurationResponse &trt__AddAudioSourceConfigurationResponse)
        { return this->AddAudioSourceConfiguration(NULL, NULL, trt__AddAudioSourceConfiguration, trt__AddAudioSourceConfigurationResponse); }
        virtual int AddAudioSourceConfiguration(const char *soap_endpoint, const char *soap_action, _trt__AddAudioSourceConfiguration *trt__AddAudioSourceConfiguration, _trt__AddAudioSourceConfigurationResponse &trt__AddAudioSourceConfigurationResponse);
        /// Web service operation 'AddPTZConfiguration' (returns SOAP_OK or error code)
        virtual int AddPTZConfiguration(_trt__AddPTZConfiguration *trt__AddPTZConfiguration, _trt__AddPTZConfigurationResponse &trt__AddPTZConfigurationResponse)
        { return this->AddPTZConfiguration(NULL, NULL, trt__AddPTZConfiguration, trt__AddPTZConfigurationResponse); }
        virtual int AddPTZConfiguration(const char *soap_endpoint, const char *soap_action, _trt__AddPTZConfiguration *trt__AddPTZConfiguration, _trt__AddPTZConfigurationResponse &trt__AddPTZConfigurationResponse);
        /// Web service operation 'AddVideoAnalyticsConfiguration' (returns SOAP_OK or error code)
        virtual int AddVideoAnalyticsConfiguration(_trt__AddVideoAnalyticsConfiguration *trt__AddVideoAnalyticsConfiguration, _trt__AddVideoAnalyticsConfigurationResponse &trt__AddVideoAnalyticsConfigurationResponse)
        { return this->AddVideoAnalyticsConfiguration(NULL, NULL, trt__AddVideoAnalyticsConfiguration, trt__AddVideoAnalyticsConfigurationResponse); }
        virtual int AddVideoAnalyticsConfiguration(const char *soap_endpoint, const char *soap_action, _trt__AddVideoAnalyticsConfiguration *trt__AddVideoAnalyticsConfiguration, _trt__AddVideoAnalyticsConfigurationResponse &trt__AddVideoAnalyticsConfigurationResponse);
        /// Web service operation 'AddMetadataConfiguration' (returns SOAP_OK or error code)
        virtual int AddMetadataConfiguration(_trt__AddMetadataConfiguration *trt__AddMetadataConfiguration, _trt__AddMetadataConfigurationResponse &trt__AddMetadataConfigurationResponse)
        { return this->AddMetadataConfiguration(NULL, NULL, trt__AddMetadataConfiguration, trt__AddMetadataConfigurationResponse); }
        virtual int AddMetadataConfiguration(const char *soap_endpoint, const char *soap_action, _trt__AddMetadataConfiguration *trt__AddMetadataConfiguration, _trt__AddMetadataConfigurationResponse &trt__AddMetadataConfigurationResponse);
        /// Web service operation 'AddAudioOutputConfiguration' (returns SOAP_OK or error code)
        virtual int AddAudioOutputConfiguration(_trt__AddAudioOutputConfiguration *trt__AddAudioOutputConfiguration, _trt__AddAudioOutputConfigurationResponse &trt__AddAudioOutputConfigurationResponse)
        { return this->AddAudioOutputConfiguration(NULL, NULL, trt__AddAudioOutputConfiguration, trt__AddAudioOutputConfigurationResponse); }
        virtual int AddAudioOutputConfiguration(const char *soap_endpoint, const char *soap_action, _trt__AddAudioOutputConfiguration *trt__AddAudioOutputConfiguration, _trt__AddAudioOutputConfigurationResponse &trt__AddAudioOutputConfigurationResponse);
        /// Web service operation 'AddAudioDecoderConfiguration' (returns SOAP_OK or error code)
        virtual int AddAudioDecoderConfiguration(_trt__AddAudioDecoderConfiguration *trt__AddAudioDecoderConfiguration, _trt__AddAudioDecoderConfigurationResponse &trt__AddAudioDecoderConfigurationResponse)
        { return this->AddAudioDecoderConfiguration(NULL, NULL, trt__AddAudioDecoderConfiguration, trt__AddAudioDecoderConfigurationResponse); }
        virtual int AddAudioDecoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__AddAudioDecoderConfiguration *trt__AddAudioDecoderConfiguration, _trt__AddAudioDecoderConfigurationResponse &trt__AddAudioDecoderConfigurationResponse);
        /// Web service operation 'RemoveVideoEncoderConfiguration' (returns SOAP_OK or error code)
        virtual int RemoveVideoEncoderConfiguration(_trt__RemoveVideoEncoderConfiguration *trt__RemoveVideoEncoderConfiguration, _trt__RemoveVideoEncoderConfigurationResponse &trt__RemoveVideoEncoderConfigurationResponse)
        { return this->RemoveVideoEncoderConfiguration(NULL, NULL, trt__RemoveVideoEncoderConfiguration, trt__RemoveVideoEncoderConfigurationResponse); }
        virtual int RemoveVideoEncoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__RemoveVideoEncoderConfiguration *trt__RemoveVideoEncoderConfiguration, _trt__RemoveVideoEncoderConfigurationResponse &trt__RemoveVideoEncoderConfigurationResponse);
        /// Web service operation 'RemoveVideoSourceConfiguration' (returns SOAP_OK or error code)
        virtual int RemoveVideoSourceConfiguration(_trt__RemoveVideoSourceConfiguration *trt__RemoveVideoSourceConfiguration, _trt__RemoveVideoSourceConfigurationResponse &trt__RemoveVideoSourceConfigurationResponse)
        { return this->RemoveVideoSourceConfiguration(NULL, NULL, trt__RemoveVideoSourceConfiguration, trt__RemoveVideoSourceConfigurationResponse); }
        virtual int RemoveVideoSourceConfiguration(const char *soap_endpoint, const char *soap_action, _trt__RemoveVideoSourceConfiguration *trt__RemoveVideoSourceConfiguration, _trt__RemoveVideoSourceConfigurationResponse &trt__RemoveVideoSourceConfigurationResponse);
        /// Web service operation 'RemoveAudioEncoderConfiguration' (returns SOAP_OK or error code)
        virtual int RemoveAudioEncoderConfiguration(_trt__RemoveAudioEncoderConfiguration *trt__RemoveAudioEncoderConfiguration, _trt__RemoveAudioEncoderConfigurationResponse &trt__RemoveAudioEncoderConfigurationResponse)
        { return this->RemoveAudioEncoderConfiguration(NULL, NULL, trt__RemoveAudioEncoderConfiguration, trt__RemoveAudioEncoderConfigurationResponse); }
        virtual int RemoveAudioEncoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__RemoveAudioEncoderConfiguration *trt__RemoveAudioEncoderConfiguration, _trt__RemoveAudioEncoderConfigurationResponse &trt__RemoveAudioEncoderConfigurationResponse);
        /// Web service operation 'RemoveAudioSourceConfiguration' (returns SOAP_OK or error code)
        virtual int RemoveAudioSourceConfiguration(_trt__RemoveAudioSourceConfiguration *trt__RemoveAudioSourceConfiguration, _trt__RemoveAudioSourceConfigurationResponse &trt__RemoveAudioSourceConfigurationResponse)
        { return this->RemoveAudioSourceConfiguration(NULL, NULL, trt__RemoveAudioSourceConfiguration, trt__RemoveAudioSourceConfigurationResponse); }
        virtual int RemoveAudioSourceConfiguration(const char *soap_endpoint, const char *soap_action, _trt__RemoveAudioSourceConfiguration *trt__RemoveAudioSourceConfiguration, _trt__RemoveAudioSourceConfigurationResponse &trt__RemoveAudioSourceConfigurationResponse);
        /// Web service operation 'RemovePTZConfiguration' (returns SOAP_OK or error code)
        virtual int RemovePTZConfiguration(_trt__RemovePTZConfiguration *trt__RemovePTZConfiguration, _trt__RemovePTZConfigurationResponse &trt__RemovePTZConfigurationResponse)
        { return this->RemovePTZConfiguration(NULL, NULL, trt__RemovePTZConfiguration, trt__RemovePTZConfigurationResponse); }
        virtual int RemovePTZConfiguration(const char *soap_endpoint, const char *soap_action, _trt__RemovePTZConfiguration *trt__RemovePTZConfiguration, _trt__RemovePTZConfigurationResponse &trt__RemovePTZConfigurationResponse);
        /// Web service operation 'RemoveVideoAnalyticsConfiguration' (returns SOAP_OK or error code)
        virtual int RemoveVideoAnalyticsConfiguration(_trt__RemoveVideoAnalyticsConfiguration *trt__RemoveVideoAnalyticsConfiguration, _trt__RemoveVideoAnalyticsConfigurationResponse &trt__RemoveVideoAnalyticsConfigurationResponse)
        { return this->RemoveVideoAnalyticsConfiguration(NULL, NULL, trt__RemoveVideoAnalyticsConfiguration, trt__RemoveVideoAnalyticsConfigurationResponse); }
        virtual int RemoveVideoAnalyticsConfiguration(const char *soap_endpoint, const char *soap_action, _trt__RemoveVideoAnalyticsConfiguration *trt__RemoveVideoAnalyticsConfiguration, _trt__RemoveVideoAnalyticsConfigurationResponse &trt__RemoveVideoAnalyticsConfigurationResponse);
        /// Web service operation 'RemoveMetadataConfiguration' (returns SOAP_OK or error code)
        virtual int RemoveMetadataConfiguration(_trt__RemoveMetadataConfiguration *trt__RemoveMetadataConfiguration, _trt__RemoveMetadataConfigurationResponse &trt__RemoveMetadataConfigurationResponse)
        { return this->RemoveMetadataConfiguration(NULL, NULL, trt__RemoveMetadataConfiguration, trt__RemoveMetadataConfigurationResponse); }
        virtual int RemoveMetadataConfiguration(const char *soap_endpoint, const char *soap_action, _trt__RemoveMetadataConfiguration *trt__RemoveMetadataConfiguration, _trt__RemoveMetadataConfigurationResponse &trt__RemoveMetadataConfigurationResponse);
        /// Web service operation 'RemoveAudioOutputConfiguration' (returns SOAP_OK or error code)
        virtual int RemoveAudioOutputConfiguration(_trt__RemoveAudioOutputConfiguration *trt__RemoveAudioOutputConfiguration, _trt__RemoveAudioOutputConfigurationResponse &trt__RemoveAudioOutputConfigurationResponse)
        { return this->RemoveAudioOutputConfiguration(NULL, NULL, trt__RemoveAudioOutputConfiguration, trt__RemoveAudioOutputConfigurationResponse); }
        virtual int RemoveAudioOutputConfiguration(const char *soap_endpoint, const char *soap_action, _trt__RemoveAudioOutputConfiguration *trt__RemoveAudioOutputConfiguration, _trt__RemoveAudioOutputConfigurationResponse &trt__RemoveAudioOutputConfigurationResponse);
        /// Web service operation 'RemoveAudioDecoderConfiguration' (returns SOAP_OK or error code)
        virtual int RemoveAudioDecoderConfiguration(_trt__RemoveAudioDecoderConfiguration *trt__RemoveAudioDecoderConfiguration, _trt__RemoveAudioDecoderConfigurationResponse &trt__RemoveAudioDecoderConfigurationResponse)
        { return this->RemoveAudioDecoderConfiguration(NULL, NULL, trt__RemoveAudioDecoderConfiguration, trt__RemoveAudioDecoderConfigurationResponse); }
        virtual int RemoveAudioDecoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__RemoveAudioDecoderConfiguration *trt__RemoveAudioDecoderConfiguration, _trt__RemoveAudioDecoderConfigurationResponse &trt__RemoveAudioDecoderConfigurationResponse);
        /// Web service operation 'DeleteProfile' (returns SOAP_OK or error code)
        virtual int DeleteProfile(_trt__DeleteProfile *trt__DeleteProfile, _trt__DeleteProfileResponse &trt__DeleteProfileResponse)
        { return this->DeleteProfile(NULL, NULL, trt__DeleteProfile, trt__DeleteProfileResponse); }
        virtual int DeleteProfile(const char *soap_endpoint, const char *soap_action, _trt__DeleteProfile *trt__DeleteProfile, _trt__DeleteProfileResponse &trt__DeleteProfileResponse);
        /// Web service operation 'GetVideoSourceConfigurations' (returns SOAP_OK or error code)
        virtual int GetVideoSourceConfigurations(_trt__GetVideoSourceConfigurations *trt__GetVideoSourceConfigurations, _trt__GetVideoSourceConfigurationsResponse &trt__GetVideoSourceConfigurationsResponse)
        { return this->GetVideoSourceConfigurations(NULL, NULL, trt__GetVideoSourceConfigurations, trt__GetVideoSourceConfigurationsResponse); }
        virtual int GetVideoSourceConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetVideoSourceConfigurations *trt__GetVideoSourceConfigurations, _trt__GetVideoSourceConfigurationsResponse &trt__GetVideoSourceConfigurationsResponse);
        /// Web service operation 'GetVideoEncoderConfigurations' (returns SOAP_OK or error code)
        virtual int GetVideoEncoderConfigurations(_trt__GetVideoEncoderConfigurations *trt__GetVideoEncoderConfigurations, _trt__GetVideoEncoderConfigurationsResponse &trt__GetVideoEncoderConfigurationsResponse)
        { return this->GetVideoEncoderConfigurations(NULL, NULL, trt__GetVideoEncoderConfigurations, trt__GetVideoEncoderConfigurationsResponse); }
        virtual int GetVideoEncoderConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetVideoEncoderConfigurations *trt__GetVideoEncoderConfigurations, _trt__GetVideoEncoderConfigurationsResponse &trt__GetVideoEncoderConfigurationsResponse);
        /// Web service operation 'GetAudioSourceConfigurations' (returns SOAP_OK or error code)
        virtual int GetAudioSourceConfigurations(_trt__GetAudioSourceConfigurations *trt__GetAudioSourceConfigurations, _trt__GetAudioSourceConfigurationsResponse &trt__GetAudioSourceConfigurationsResponse)
        { return this->GetAudioSourceConfigurations(NULL, NULL, trt__GetAudioSourceConfigurations, trt__GetAudioSourceConfigurationsResponse); }
        virtual int GetAudioSourceConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetAudioSourceConfigurations *trt__GetAudioSourceConfigurations, _trt__GetAudioSourceConfigurationsResponse &trt__GetAudioSourceConfigurationsResponse);
        /// Web service operation 'GetAudioEncoderConfigurations' (returns SOAP_OK or error code)
        virtual int GetAudioEncoderConfigurations(_trt__GetAudioEncoderConfigurations *trt__GetAudioEncoderConfigurations, _trt__GetAudioEncoderConfigurationsResponse &trt__GetAudioEncoderConfigurationsResponse)
        { return this->GetAudioEncoderConfigurations(NULL, NULL, trt__GetAudioEncoderConfigurations, trt__GetAudioEncoderConfigurationsResponse); }
        virtual int GetAudioEncoderConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetAudioEncoderConfigurations *trt__GetAudioEncoderConfigurations, _trt__GetAudioEncoderConfigurationsResponse &trt__GetAudioEncoderConfigurationsResponse);
        /// Web service operation 'GetVideoAnalyticsConfigurations' (returns SOAP_OK or error code)
        virtual int GetVideoAnalyticsConfigurations(_trt__GetVideoAnalyticsConfigurations *trt__GetVideoAnalyticsConfigurations, _trt__GetVideoAnalyticsConfigurationsResponse &trt__GetVideoAnalyticsConfigurationsResponse)
        { return this->GetVideoAnalyticsConfigurations(NULL, NULL, trt__GetVideoAnalyticsConfigurations, trt__GetVideoAnalyticsConfigurationsResponse); }
        virtual int GetVideoAnalyticsConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetVideoAnalyticsConfigurations *trt__GetVideoAnalyticsConfigurations, _trt__GetVideoAnalyticsConfigurationsResponse &trt__GetVideoAnalyticsConfigurationsResponse);
        /// Web service operation 'GetMetadataConfigurations' (returns SOAP_OK or error code)
        virtual int GetMetadataConfigurations(_trt__GetMetadataConfigurations *trt__GetMetadataConfigurations, _trt__GetMetadataConfigurationsResponse &trt__GetMetadataConfigurationsResponse)
        { return this->GetMetadataConfigurations(NULL, NULL, trt__GetMetadataConfigurations, trt__GetMetadataConfigurationsResponse); }
        virtual int GetMetadataConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetMetadataConfigurations *trt__GetMetadataConfigurations, _trt__GetMetadataConfigurationsResponse &trt__GetMetadataConfigurationsResponse);
        /// Web service operation 'GetAudioOutputConfigurations' (returns SOAP_OK or error code)
        virtual int GetAudioOutputConfigurations(_trt__GetAudioOutputConfigurations *trt__GetAudioOutputConfigurations, _trt__GetAudioOutputConfigurationsResponse &trt__GetAudioOutputConfigurationsResponse)
        { return this->GetAudioOutputConfigurations(NULL, NULL, trt__GetAudioOutputConfigurations, trt__GetAudioOutputConfigurationsResponse); }
        virtual int GetAudioOutputConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetAudioOutputConfigurations *trt__GetAudioOutputConfigurations, _trt__GetAudioOutputConfigurationsResponse &trt__GetAudioOutputConfigurationsResponse);
        /// Web service operation 'GetAudioDecoderConfigurations' (returns SOAP_OK or error code)
        virtual int GetAudioDecoderConfigurations(_trt__GetAudioDecoderConfigurations *trt__GetAudioDecoderConfigurations, _trt__GetAudioDecoderConfigurationsResponse &trt__GetAudioDecoderConfigurationsResponse)
        { return this->GetAudioDecoderConfigurations(NULL, NULL, trt__GetAudioDecoderConfigurations, trt__GetAudioDecoderConfigurationsResponse); }
        virtual int GetAudioDecoderConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetAudioDecoderConfigurations *trt__GetAudioDecoderConfigurations, _trt__GetAudioDecoderConfigurationsResponse &trt__GetAudioDecoderConfigurationsResponse);
        /// Web service operation 'GetVideoSourceConfiguration' (returns SOAP_OK or error code)
        virtual int GetVideoSourceConfiguration(_trt__GetVideoSourceConfiguration *trt__GetVideoSourceConfiguration, _trt__GetVideoSourceConfigurationResponse &trt__GetVideoSourceConfigurationResponse)
        { return this->GetVideoSourceConfiguration(NULL, NULL, trt__GetVideoSourceConfiguration, trt__GetVideoSourceConfigurationResponse); }
        virtual int GetVideoSourceConfiguration(const char *soap_endpoint, const char *soap_action, _trt__GetVideoSourceConfiguration *trt__GetVideoSourceConfiguration, _trt__GetVideoSourceConfigurationResponse &trt__GetVideoSourceConfigurationResponse);
        /// Web service operation 'GetVideoEncoderConfiguration' (returns SOAP_OK or error code)
        virtual int GetVideoEncoderConfiguration(_trt__GetVideoEncoderConfiguration *trt__GetVideoEncoderConfiguration, _trt__GetVideoEncoderConfigurationResponse &trt__GetVideoEncoderConfigurationResponse)
        { return this->GetVideoEncoderConfiguration(NULL, NULL, trt__GetVideoEncoderConfiguration, trt__GetVideoEncoderConfigurationResponse); }
        virtual int GetVideoEncoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__GetVideoEncoderConfiguration *trt__GetVideoEncoderConfiguration, _trt__GetVideoEncoderConfigurationResponse &trt__GetVideoEncoderConfigurationResponse);
        /// Web service operation 'GetAudioSourceConfiguration' (returns SOAP_OK or error code)
        virtual int GetAudioSourceConfiguration(_trt__GetAudioSourceConfiguration *trt__GetAudioSourceConfiguration, _trt__GetAudioSourceConfigurationResponse &trt__GetAudioSourceConfigurationResponse)
        { return this->GetAudioSourceConfiguration(NULL, NULL, trt__GetAudioSourceConfiguration, trt__GetAudioSourceConfigurationResponse); }
        virtual int GetAudioSourceConfiguration(const char *soap_endpoint, const char *soap_action, _trt__GetAudioSourceConfiguration *trt__GetAudioSourceConfiguration, _trt__GetAudioSourceConfigurationResponse &trt__GetAudioSourceConfigurationResponse);
        /// Web service operation 'GetAudioEncoderConfiguration' (returns SOAP_OK or error code)
        virtual int GetAudioEncoderConfiguration(_trt__GetAudioEncoderConfiguration *trt__GetAudioEncoderConfiguration, _trt__GetAudioEncoderConfigurationResponse &trt__GetAudioEncoderConfigurationResponse)
        { return this->GetAudioEncoderConfiguration(NULL, NULL, trt__GetAudioEncoderConfiguration, trt__GetAudioEncoderConfigurationResponse); }
        virtual int GetAudioEncoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__GetAudioEncoderConfiguration *trt__GetAudioEncoderConfiguration, _trt__GetAudioEncoderConfigurationResponse &trt__GetAudioEncoderConfigurationResponse);
        /// Web service operation 'GetVideoAnalyticsConfiguration' (returns SOAP_OK or error code)
        virtual int GetVideoAnalyticsConfiguration(_trt__GetVideoAnalyticsConfiguration *trt__GetVideoAnalyticsConfiguration, _trt__GetVideoAnalyticsConfigurationResponse &trt__GetVideoAnalyticsConfigurationResponse)
        { return this->GetVideoAnalyticsConfiguration(NULL, NULL, trt__GetVideoAnalyticsConfiguration, trt__GetVideoAnalyticsConfigurationResponse); }
        virtual int GetVideoAnalyticsConfiguration(const char *soap_endpoint, const char *soap_action, _trt__GetVideoAnalyticsConfiguration *trt__GetVideoAnalyticsConfiguration, _trt__GetVideoAnalyticsConfigurationResponse &trt__GetVideoAnalyticsConfigurationResponse);
        /// Web service operation 'GetMetadataConfiguration' (returns SOAP_OK or error code)
        virtual int GetMetadataConfiguration(_trt__GetMetadataConfiguration *trt__GetMetadataConfiguration, _trt__GetMetadataConfigurationResponse &trt__GetMetadataConfigurationResponse)
        { return this->GetMetadataConfiguration(NULL, NULL, trt__GetMetadataConfiguration, trt__GetMetadataConfigurationResponse); }
        virtual int GetMetadataConfiguration(const char *soap_endpoint, const char *soap_action, _trt__GetMetadataConfiguration *trt__GetMetadataConfiguration, _trt__GetMetadataConfigurationResponse &trt__GetMetadataConfigurationResponse);
        /// Web service operation 'GetAudioOutputConfiguration' (returns SOAP_OK or error code)
        virtual int GetAudioOutputConfiguration(_trt__GetAudioOutputConfiguration *trt__GetAudioOutputConfiguration, _trt__GetAudioOutputConfigurationResponse &trt__GetAudioOutputConfigurationResponse)
        { return this->GetAudioOutputConfiguration(NULL, NULL, trt__GetAudioOutputConfiguration, trt__GetAudioOutputConfigurationResponse); }
        virtual int GetAudioOutputConfiguration(const char *soap_endpoint, const char *soap_action, _trt__GetAudioOutputConfiguration *trt__GetAudioOutputConfiguration, _trt__GetAudioOutputConfigurationResponse &trt__GetAudioOutputConfigurationResponse);
        /// Web service operation 'GetAudioDecoderConfiguration' (returns SOAP_OK or error code)
        virtual int GetAudioDecoderConfiguration(_trt__GetAudioDecoderConfiguration *trt__GetAudioDecoderConfiguration, _trt__GetAudioDecoderConfigurationResponse &trt__GetAudioDecoderConfigurationResponse)
        { return this->GetAudioDecoderConfiguration(NULL, NULL, trt__GetAudioDecoderConfiguration, trt__GetAudioDecoderConfigurationResponse); }
        virtual int GetAudioDecoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__GetAudioDecoderConfiguration *trt__GetAudioDecoderConfiguration, _trt__GetAudioDecoderConfigurationResponse &trt__GetAudioDecoderConfigurationResponse);
        /// Web service operation 'GetCompatibleVideoEncoderConfigurations' (returns SOAP_OK or error code)
        virtual int GetCompatibleVideoEncoderConfigurations(_trt__GetCompatibleVideoEncoderConfigurations *trt__GetCompatibleVideoEncoderConfigurations, _trt__GetCompatibleVideoEncoderConfigurationsResponse &trt__GetCompatibleVideoEncoderConfigurationsResponse)
        { return this->GetCompatibleVideoEncoderConfigurations(NULL, NULL, trt__GetCompatibleVideoEncoderConfigurations, trt__GetCompatibleVideoEncoderConfigurationsResponse); }
        virtual int GetCompatibleVideoEncoderConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetCompatibleVideoEncoderConfigurations *trt__GetCompatibleVideoEncoderConfigurations, _trt__GetCompatibleVideoEncoderConfigurationsResponse &trt__GetCompatibleVideoEncoderConfigurationsResponse);
        /// Web service operation 'GetCompatibleVideoSourceConfigurations' (returns SOAP_OK or error code)
        virtual int GetCompatibleVideoSourceConfigurations(_trt__GetCompatibleVideoSourceConfigurations *trt__GetCompatibleVideoSourceConfigurations, _trt__GetCompatibleVideoSourceConfigurationsResponse &trt__GetCompatibleVideoSourceConfigurationsResponse)
        { return this->GetCompatibleVideoSourceConfigurations(NULL, NULL, trt__GetCompatibleVideoSourceConfigurations, trt__GetCompatibleVideoSourceConfigurationsResponse); }
        virtual int GetCompatibleVideoSourceConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetCompatibleVideoSourceConfigurations *trt__GetCompatibleVideoSourceConfigurations, _trt__GetCompatibleVideoSourceConfigurationsResponse &trt__GetCompatibleVideoSourceConfigurationsResponse);
        /// Web service operation 'GetCompatibleAudioEncoderConfigurations' (returns SOAP_OK or error code)
        virtual int GetCompatibleAudioEncoderConfigurations(_trt__GetCompatibleAudioEncoderConfigurations *trt__GetCompatibleAudioEncoderConfigurations, _trt__GetCompatibleAudioEncoderConfigurationsResponse &trt__GetCompatibleAudioEncoderConfigurationsResponse)
        { return this->GetCompatibleAudioEncoderConfigurations(NULL, NULL, trt__GetCompatibleAudioEncoderConfigurations, trt__GetCompatibleAudioEncoderConfigurationsResponse); }
        virtual int GetCompatibleAudioEncoderConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetCompatibleAudioEncoderConfigurations *trt__GetCompatibleAudioEncoderConfigurations, _trt__GetCompatibleAudioEncoderConfigurationsResponse &trt__GetCompatibleAudioEncoderConfigurationsResponse);
        /// Web service operation 'GetCompatibleAudioSourceConfigurations' (returns SOAP_OK or error code)
        virtual int GetCompatibleAudioSourceConfigurations(_trt__GetCompatibleAudioSourceConfigurations *trt__GetCompatibleAudioSourceConfigurations, _trt__GetCompatibleAudioSourceConfigurationsResponse &trt__GetCompatibleAudioSourceConfigurationsResponse)
        { return this->GetCompatibleAudioSourceConfigurations(NULL, NULL, trt__GetCompatibleAudioSourceConfigurations, trt__GetCompatibleAudioSourceConfigurationsResponse); }
        virtual int GetCompatibleAudioSourceConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetCompatibleAudioSourceConfigurations *trt__GetCompatibleAudioSourceConfigurations, _trt__GetCompatibleAudioSourceConfigurationsResponse &trt__GetCompatibleAudioSourceConfigurationsResponse);
        /// Web service operation 'GetCompatibleVideoAnalyticsConfigurations' (returns SOAP_OK or error code)
        virtual int GetCompatibleVideoAnalyticsConfigurations(_trt__GetCompatibleVideoAnalyticsConfigurations *trt__GetCompatibleVideoAnalyticsConfigurations, _trt__GetCompatibleVideoAnalyticsConfigurationsResponse &trt__GetCompatibleVideoAnalyticsConfigurationsResponse)
        { return this->GetCompatibleVideoAnalyticsConfigurations(NULL, NULL, trt__GetCompatibleVideoAnalyticsConfigurations, trt__GetCompatibleVideoAnalyticsConfigurationsResponse); }
        virtual int GetCompatibleVideoAnalyticsConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetCompatibleVideoAnalyticsConfigurations *trt__GetCompatibleVideoAnalyticsConfigurations, _trt__GetCompatibleVideoAnalyticsConfigurationsResponse &trt__GetCompatibleVideoAnalyticsConfigurationsResponse);
        /// Web service operation 'GetCompatibleMetadataConfigurations' (returns SOAP_OK or error code)
        virtual int GetCompatibleMetadataConfigurations(_trt__GetCompatibleMetadataConfigurations *trt__GetCompatibleMetadataConfigurations, _trt__GetCompatibleMetadataConfigurationsResponse &trt__GetCompatibleMetadataConfigurationsResponse)
        { return this->GetCompatibleMetadataConfigurations(NULL, NULL, trt__GetCompatibleMetadataConfigurations, trt__GetCompatibleMetadataConfigurationsResponse); }
        virtual int GetCompatibleMetadataConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetCompatibleMetadataConfigurations *trt__GetCompatibleMetadataConfigurations, _trt__GetCompatibleMetadataConfigurationsResponse &trt__GetCompatibleMetadataConfigurationsResponse);
        /// Web service operation 'GetCompatibleAudioOutputConfigurations' (returns SOAP_OK or error code)
        virtual int GetCompatibleAudioOutputConfigurations(_trt__GetCompatibleAudioOutputConfigurations *trt__GetCompatibleAudioOutputConfigurations, _trt__GetCompatibleAudioOutputConfigurationsResponse &trt__GetCompatibleAudioOutputConfigurationsResponse)
        { return this->GetCompatibleAudioOutputConfigurations(NULL, NULL, trt__GetCompatibleAudioOutputConfigurations, trt__GetCompatibleAudioOutputConfigurationsResponse); }
        virtual int GetCompatibleAudioOutputConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetCompatibleAudioOutputConfigurations *trt__GetCompatibleAudioOutputConfigurations, _trt__GetCompatibleAudioOutputConfigurationsResponse &trt__GetCompatibleAudioOutputConfigurationsResponse);
        /// Web service operation 'GetCompatibleAudioDecoderConfigurations' (returns SOAP_OK or error code)
        virtual int GetCompatibleAudioDecoderConfigurations(_trt__GetCompatibleAudioDecoderConfigurations *trt__GetCompatibleAudioDecoderConfigurations, _trt__GetCompatibleAudioDecoderConfigurationsResponse &trt__GetCompatibleAudioDecoderConfigurationsResponse)
        { return this->GetCompatibleAudioDecoderConfigurations(NULL, NULL, trt__GetCompatibleAudioDecoderConfigurations, trt__GetCompatibleAudioDecoderConfigurationsResponse); }
        virtual int GetCompatibleAudioDecoderConfigurations(const char *soap_endpoint, const char *soap_action, _trt__GetCompatibleAudioDecoderConfigurations *trt__GetCompatibleAudioDecoderConfigurations, _trt__GetCompatibleAudioDecoderConfigurationsResponse &trt__GetCompatibleAudioDecoderConfigurationsResponse);
        /// Web service operation 'SetVideoSourceConfiguration' (returns SOAP_OK or error code)
        virtual int SetVideoSourceConfiguration(_trt__SetVideoSourceConfiguration *trt__SetVideoSourceConfiguration, _trt__SetVideoSourceConfigurationResponse &trt__SetVideoSourceConfigurationResponse)
        { return this->SetVideoSourceConfiguration(NULL, NULL, trt__SetVideoSourceConfiguration, trt__SetVideoSourceConfigurationResponse); }
        virtual int SetVideoSourceConfiguration(const char *soap_endpoint, const char *soap_action, _trt__SetVideoSourceConfiguration *trt__SetVideoSourceConfiguration, _trt__SetVideoSourceConfigurationResponse &trt__SetVideoSourceConfigurationResponse);
        /// Web service operation 'SetVideoEncoderConfiguration' (returns SOAP_OK or error code)
        virtual int SetVideoEncoderConfiguration(_trt__SetVideoEncoderConfiguration *trt__SetVideoEncoderConfiguration, _trt__SetVideoEncoderConfigurationResponse &trt__SetVideoEncoderConfigurationResponse)
        { return this->SetVideoEncoderConfiguration(NULL, NULL, trt__SetVideoEncoderConfiguration, trt__SetVideoEncoderConfigurationResponse); }
        virtual int SetVideoEncoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__SetVideoEncoderConfiguration *trt__SetVideoEncoderConfiguration, _trt__SetVideoEncoderConfigurationResponse &trt__SetVideoEncoderConfigurationResponse);
        /// Web service operation 'SetAudioSourceConfiguration' (returns SOAP_OK or error code)
        virtual int SetAudioSourceConfiguration(_trt__SetAudioSourceConfiguration *trt__SetAudioSourceConfiguration, _trt__SetAudioSourceConfigurationResponse &trt__SetAudioSourceConfigurationResponse)
        { return this->SetAudioSourceConfiguration(NULL, NULL, trt__SetAudioSourceConfiguration, trt__SetAudioSourceConfigurationResponse); }
        virtual int SetAudioSourceConfiguration(const char *soap_endpoint, const char *soap_action, _trt__SetAudioSourceConfiguration *trt__SetAudioSourceConfiguration, _trt__SetAudioSourceConfigurationResponse &trt__SetAudioSourceConfigurationResponse);
        /// Web service operation 'SetAudioEncoderConfiguration' (returns SOAP_OK or error code)
        virtual int SetAudioEncoderConfiguration(_trt__SetAudioEncoderConfiguration *trt__SetAudioEncoderConfiguration, _trt__SetAudioEncoderConfigurationResponse &trt__SetAudioEncoderConfigurationResponse)
        { return this->SetAudioEncoderConfiguration(NULL, NULL, trt__SetAudioEncoderConfiguration, trt__SetAudioEncoderConfigurationResponse); }
        virtual int SetAudioEncoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__SetAudioEncoderConfiguration *trt__SetAudioEncoderConfiguration, _trt__SetAudioEncoderConfigurationResponse &trt__SetAudioEncoderConfigurationResponse);
        /// Web service operation 'SetVideoAnalyticsConfiguration' (returns SOAP_OK or error code)
        virtual int SetVideoAnalyticsConfiguration(_trt__SetVideoAnalyticsConfiguration *trt__SetVideoAnalyticsConfiguration, _trt__SetVideoAnalyticsConfigurationResponse &trt__SetVideoAnalyticsConfigurationResponse)
        { return this->SetVideoAnalyticsConfiguration(NULL, NULL, trt__SetVideoAnalyticsConfiguration, trt__SetVideoAnalyticsConfigurationResponse); }
        virtual int SetVideoAnalyticsConfiguration(const char *soap_endpoint, const char *soap_action, _trt__SetVideoAnalyticsConfiguration *trt__SetVideoAnalyticsConfiguration, _trt__SetVideoAnalyticsConfigurationResponse &trt__SetVideoAnalyticsConfigurationResponse);
        /// Web service operation 'SetMetadataConfiguration' (returns SOAP_OK or error code)
        virtual int SetMetadataConfiguration(_trt__SetMetadataConfiguration *trt__SetMetadataConfiguration, _trt__SetMetadataConfigurationResponse &trt__SetMetadataConfigurationResponse)
        { return this->SetMetadataConfiguration(NULL, NULL, trt__SetMetadataConfiguration, trt__SetMetadataConfigurationResponse); }
        virtual int SetMetadataConfiguration(const char *soap_endpoint, const char *soap_action, _trt__SetMetadataConfiguration *trt__SetMetadataConfiguration, _trt__SetMetadataConfigurationResponse &trt__SetMetadataConfigurationResponse);
        /// Web service operation 'SetAudioOutputConfiguration' (returns SOAP_OK or error code)
        virtual int SetAudioOutputConfiguration(_trt__SetAudioOutputConfiguration *trt__SetAudioOutputConfiguration, _trt__SetAudioOutputConfigurationResponse &trt__SetAudioOutputConfigurationResponse)
        { return this->SetAudioOutputConfiguration(NULL, NULL, trt__SetAudioOutputConfiguration, trt__SetAudioOutputConfigurationResponse); }
        virtual int SetAudioOutputConfiguration(const char *soap_endpoint, const char *soap_action, _trt__SetAudioOutputConfiguration *trt__SetAudioOutputConfiguration, _trt__SetAudioOutputConfigurationResponse &trt__SetAudioOutputConfigurationResponse);
        /// Web service operation 'SetAudioDecoderConfiguration' (returns SOAP_OK or error code)
        virtual int SetAudioDecoderConfiguration(_trt__SetAudioDecoderConfiguration *trt__SetAudioDecoderConfiguration, _trt__SetAudioDecoderConfigurationResponse &trt__SetAudioDecoderConfigurationResponse)
        { return this->SetAudioDecoderConfiguration(NULL, NULL, trt__SetAudioDecoderConfiguration, trt__SetAudioDecoderConfigurationResponse); }
        virtual int SetAudioDecoderConfiguration(const char *soap_endpoint, const char *soap_action, _trt__SetAudioDecoderConfiguration *trt__SetAudioDecoderConfiguration, _trt__SetAudioDecoderConfigurationResponse &trt__SetAudioDecoderConfigurationResponse);
        /// Web service operation 'GetVideoSourceConfigurationOptions' (returns SOAP_OK or error code)
        virtual int GetVideoSourceConfigurationOptions(_trt__GetVideoSourceConfigurationOptions *trt__GetVideoSourceConfigurationOptions, _trt__GetVideoSourceConfigurationOptionsResponse &trt__GetVideoSourceConfigurationOptionsResponse)
        { return this->GetVideoSourceConfigurationOptions(NULL, NULL, trt__GetVideoSourceConfigurationOptions, trt__GetVideoSourceConfigurationOptionsResponse); }
        virtual int GetVideoSourceConfigurationOptions(const char *soap_endpoint, const char *soap_action, _trt__GetVideoSourceConfigurationOptions *trt__GetVideoSourceConfigurationOptions, _trt__GetVideoSourceConfigurationOptionsResponse &trt__GetVideoSourceConfigurationOptionsResponse);
        /// Web service operation 'GetVideoEncoderConfigurationOptions' (returns SOAP_OK or error code)
        virtual int GetVideoEncoderConfigurationOptions(_trt__GetVideoEncoderConfigurationOptions *trt__GetVideoEncoderConfigurationOptions, _trt__GetVideoEncoderConfigurationOptionsResponse &trt__GetVideoEncoderConfigurationOptionsResponse)
        { return this->GetVideoEncoderConfigurationOptions(NULL, NULL, trt__GetVideoEncoderConfigurationOptions, trt__GetVideoEncoderConfigurationOptionsResponse); }
        virtual int GetVideoEncoderConfigurationOptions(const char *soap_endpoint, const char *soap_action, _trt__GetVideoEncoderConfigurationOptions *trt__GetVideoEncoderConfigurationOptions, _trt__GetVideoEncoderConfigurationOptionsResponse &trt__GetVideoEncoderConfigurationOptionsResponse);
        /// Web service operation 'GetAudioSourceConfigurationOptions' (returns SOAP_OK or error code)
        virtual int GetAudioSourceConfigurationOptions(_trt__GetAudioSourceConfigurationOptions *trt__GetAudioSourceConfigurationOptions, _trt__GetAudioSourceConfigurationOptionsResponse &trt__GetAudioSourceConfigurationOptionsResponse)
        { return this->GetAudioSourceConfigurationOptions(NULL, NULL, trt__GetAudioSourceConfigurationOptions, trt__GetAudioSourceConfigurationOptionsResponse); }
        virtual int GetAudioSourceConfigurationOptions(const char *soap_endpoint, const char *soap_action, _trt__GetAudioSourceConfigurationOptions *trt__GetAudioSourceConfigurationOptions, _trt__GetAudioSourceConfigurationOptionsResponse &trt__GetAudioSourceConfigurationOptionsResponse);
        /// Web service operation 'GetAudioEncoderConfigurationOptions' (returns SOAP_OK or error code)
        virtual int GetAudioEncoderConfigurationOptions(_trt__GetAudioEncoderConfigurationOptions *trt__GetAudioEncoderConfigurationOptions, _trt__GetAudioEncoderConfigurationOptionsResponse &trt__GetAudioEncoderConfigurationOptionsResponse)
        { return this->GetAudioEncoderConfigurationOptions(NULL, NULL, trt__GetAudioEncoderConfigurationOptions, trt__GetAudioEncoderConfigurationOptionsResponse); }
        virtual int GetAudioEncoderConfigurationOptions(const char *soap_endpoint, const char *soap_action, _trt__GetAudioEncoderConfigurationOptions *trt__GetAudioEncoderConfigurationOptions, _trt__GetAudioEncoderConfigurationOptionsResponse &trt__GetAudioEncoderConfigurationOptionsResponse);
        /// Web service operation 'GetMetadataConfigurationOptions' (returns SOAP_OK or error code)
        virtual int GetMetadataConfigurationOptions(_trt__GetMetadataConfigurationOptions *trt__GetMetadataConfigurationOptions, _trt__GetMetadataConfigurationOptionsResponse &trt__GetMetadataConfigurationOptionsResponse)
        { return this->GetMetadataConfigurationOptions(NULL, NULL, trt__GetMetadataConfigurationOptions, trt__GetMetadataConfigurationOptionsResponse); }
        virtual int GetMetadataConfigurationOptions(const char *soap_endpoint, const char *soap_action, _trt__GetMetadataConfigurationOptions *trt__GetMetadataConfigurationOptions, _trt__GetMetadataConfigurationOptionsResponse &trt__GetMetadataConfigurationOptionsResponse);
        /// Web service operation 'GetAudioOutputConfigurationOptions' (returns SOAP_OK or error code)
        virtual int GetAudioOutputConfigurationOptions(_trt__GetAudioOutputConfigurationOptions *trt__GetAudioOutputConfigurationOptions, _trt__GetAudioOutputConfigurationOptionsResponse &trt__GetAudioOutputConfigurationOptionsResponse)
        { return this->GetAudioOutputConfigurationOptions(NULL, NULL, trt__GetAudioOutputConfigurationOptions, trt__GetAudioOutputConfigurationOptionsResponse); }
        virtual int GetAudioOutputConfigurationOptions(const char *soap_endpoint, const char *soap_action, _trt__GetAudioOutputConfigurationOptions *trt__GetAudioOutputConfigurationOptions, _trt__GetAudioOutputConfigurationOptionsResponse &trt__GetAudioOutputConfigurationOptionsResponse);
        /// Web service operation 'GetAudioDecoderConfigurationOptions' (returns SOAP_OK or error code)
        virtual int GetAudioDecoderConfigurationOptions(_trt__GetAudioDecoderConfigurationOptions *trt__GetAudioDecoderConfigurationOptions, _trt__GetAudioDecoderConfigurationOptionsResponse &trt__GetAudioDecoderConfigurationOptionsResponse)
        { return this->GetAudioDecoderConfigurationOptions(NULL, NULL, trt__GetAudioDecoderConfigurationOptions, trt__GetAudioDecoderConfigurationOptionsResponse); }
        virtual int GetAudioDecoderConfigurationOptions(const char *soap_endpoint, const char *soap_action, _trt__GetAudioDecoderConfigurationOptions *trt__GetAudioDecoderConfigurationOptions, _trt__GetAudioDecoderConfigurationOptionsResponse &trt__GetAudioDecoderConfigurationOptionsResponse);
        /// Web service operation 'GetGuaranteedNumberOfVideoEncoderInstances' (returns SOAP_OK or error code)
        virtual int GetGuaranteedNumberOfVideoEncoderInstances(_trt__GetGuaranteedNumberOfVideoEncoderInstances *trt__GetGuaranteedNumberOfVideoEncoderInstances, _trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse &trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse)
        { return this->GetGuaranteedNumberOfVideoEncoderInstances(NULL, NULL, trt__GetGuaranteedNumberOfVideoEncoderInstances, trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse); }
        virtual int GetGuaranteedNumberOfVideoEncoderInstances(const char *soap_endpoint, const char *soap_action, _trt__GetGuaranteedNumberOfVideoEncoderInstances *trt__GetGuaranteedNumberOfVideoEncoderInstances, _trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse &trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse);
        /// Web service operation 'GetStreamUri' (returns SOAP_OK or error code)
        virtual int GetStreamUri(_trt__GetStreamUri *trt__GetStreamUri, _trt__GetStreamUriResponse &trt__GetStreamUriResponse)
        { return this->GetStreamUri(NULL, NULL, trt__GetStreamUri, trt__GetStreamUriResponse); }
        virtual int GetStreamUri(const char *soap_endpoint, const char *soap_action, _trt__GetStreamUri *trt__GetStreamUri, _trt__GetStreamUriResponse &trt__GetStreamUriResponse);
        /// Web service operation 'StartMulticastStreaming' (returns SOAP_OK or error code)
        virtual int StartMulticastStreaming(_trt__StartMulticastStreaming *trt__StartMulticastStreaming, _trt__StartMulticastStreamingResponse &trt__StartMulticastStreamingResponse)
        { return this->StartMulticastStreaming(NULL, NULL, trt__StartMulticastStreaming, trt__StartMulticastStreamingResponse); }
        virtual int StartMulticastStreaming(const char *soap_endpoint, const char *soap_action, _trt__StartMulticastStreaming *trt__StartMulticastStreaming, _trt__StartMulticastStreamingResponse &trt__StartMulticastStreamingResponse);
        /// Web service operation 'StopMulticastStreaming' (returns SOAP_OK or error code)
        virtual int StopMulticastStreaming(_trt__StopMulticastStreaming *trt__StopMulticastStreaming, _trt__StopMulticastStreamingResponse &trt__StopMulticastStreamingResponse)
        { return this->StopMulticastStreaming(NULL, NULL, trt__StopMulticastStreaming, trt__StopMulticastStreamingResponse); }
        virtual int StopMulticastStreaming(const char *soap_endpoint, const char *soap_action, _trt__StopMulticastStreaming *trt__StopMulticastStreaming, _trt__StopMulticastStreamingResponse &trt__StopMulticastStreamingResponse);
        /// Web service operation 'SetSynchronizationPoint' (returns SOAP_OK or error code)
        virtual int SetSynchronizationPoint(_trt__SetSynchronizationPoint *trt__SetSynchronizationPoint, _trt__SetSynchronizationPointResponse &trt__SetSynchronizationPointResponse)
        { return this->SetSynchronizationPoint(NULL, NULL, trt__SetSynchronizationPoint, trt__SetSynchronizationPointResponse); }
        virtual int SetSynchronizationPoint(const char *soap_endpoint, const char *soap_action, _trt__SetSynchronizationPoint *trt__SetSynchronizationPoint, _trt__SetSynchronizationPointResponse &trt__SetSynchronizationPointResponse);
        /// Web service operation 'GetSnapshotUri' (returns SOAP_OK or error code)
        virtual int GetSnapshotUri(_trt__GetSnapshotUri *trt__GetSnapshotUri, _trt__GetSnapshotUriResponse &trt__GetSnapshotUriResponse)
        { return this->GetSnapshotUri(NULL, NULL, trt__GetSnapshotUri, trt__GetSnapshotUriResponse); }
        virtual int GetSnapshotUri(const char *soap_endpoint, const char *soap_action, _trt__GetSnapshotUri *trt__GetSnapshotUri, _trt__GetSnapshotUriResponse &trt__GetSnapshotUriResponse);
        /// Web service operation 'GetVideoSourceModes' (returns SOAP_OK or error code)
        virtual int GetVideoSourceModes(_trt__GetVideoSourceModes *trt__GetVideoSourceModes, _trt__GetVideoSourceModesResponse &trt__GetVideoSourceModesResponse)
        { return this->GetVideoSourceModes(NULL, NULL, trt__GetVideoSourceModes, trt__GetVideoSourceModesResponse); }
        virtual int GetVideoSourceModes(const char *soap_endpoint, const char *soap_action, _trt__GetVideoSourceModes *trt__GetVideoSourceModes, _trt__GetVideoSourceModesResponse &trt__GetVideoSourceModesResponse);
        /// Web service operation 'SetVideoSourceMode' (returns SOAP_OK or error code)
        virtual int SetVideoSourceMode(_trt__SetVideoSourceMode *trt__SetVideoSourceMode, _trt__SetVideoSourceModeResponse &trt__SetVideoSourceModeResponse)
        { return this->SetVideoSourceMode(NULL, NULL, trt__SetVideoSourceMode, trt__SetVideoSourceModeResponse); }
        virtual int SetVideoSourceMode(const char *soap_endpoint, const char *soap_action, _trt__SetVideoSourceMode *trt__SetVideoSourceMode, _trt__SetVideoSourceModeResponse &trt__SetVideoSourceModeResponse);
        /// Web service operation 'GetOSDs' (returns SOAP_OK or error code)
        virtual int GetOSDs(_trt__GetOSDs *trt__GetOSDs, _trt__GetOSDsResponse &trt__GetOSDsResponse)
        { return this->GetOSDs(NULL, NULL, trt__GetOSDs, trt__GetOSDsResponse); }
        virtual int GetOSDs(const char *soap_endpoint, const char *soap_action, _trt__GetOSDs *trt__GetOSDs, _trt__GetOSDsResponse &trt__GetOSDsResponse);
        /// Web service operation 'GetOSD' (returns SOAP_OK or error code)
        virtual int GetOSD(_trt__GetOSD *trt__GetOSD, _trt__GetOSDResponse &trt__GetOSDResponse)
        { return this->GetOSD(NULL, NULL, trt__GetOSD, trt__GetOSDResponse); }
        virtual int GetOSD(const char *soap_endpoint, const char *soap_action, _trt__GetOSD *trt__GetOSD, _trt__GetOSDResponse &trt__GetOSDResponse);
        /// Web service operation 'GetOSDOptions' (returns SOAP_OK or error code)
        virtual int GetOSDOptions(_trt__GetOSDOptions *trt__GetOSDOptions, _trt__GetOSDOptionsResponse &trt__GetOSDOptionsResponse)
        { return this->GetOSDOptions(NULL, NULL, trt__GetOSDOptions, trt__GetOSDOptionsResponse); }
        virtual int GetOSDOptions(const char *soap_endpoint, const char *soap_action, _trt__GetOSDOptions *trt__GetOSDOptions, _trt__GetOSDOptionsResponse &trt__GetOSDOptionsResponse);
        /// Web service operation 'SetOSD' (returns SOAP_OK or error code)
        virtual int SetOSD(_trt__SetOSD *trt__SetOSD, _trt__SetOSDResponse &trt__SetOSDResponse)
        { return this->SetOSD(NULL, NULL, trt__SetOSD, trt__SetOSDResponse); }
        virtual int SetOSD(const char *soap_endpoint, const char *soap_action, _trt__SetOSD *trt__SetOSD, _trt__SetOSDResponse &trt__SetOSDResponse);
        /// Web service operation 'CreateOSD' (returns SOAP_OK or error code)
        virtual int CreateOSD(_trt__CreateOSD *trt__CreateOSD, _trt__CreateOSDResponse &trt__CreateOSDResponse)
        { return this->CreateOSD(NULL, NULL, trt__CreateOSD, trt__CreateOSDResponse); }
        virtual int CreateOSD(const char *soap_endpoint, const char *soap_action, _trt__CreateOSD *trt__CreateOSD, _trt__CreateOSDResponse &trt__CreateOSDResponse);
        /// Web service operation 'DeleteOSD' (returns SOAP_OK or error code)
        virtual int DeleteOSD(_trt__DeleteOSD *trt__DeleteOSD, _trt__DeleteOSDResponse &trt__DeleteOSDResponse)
        { return this->DeleteOSD(NULL, NULL, trt__DeleteOSD, trt__DeleteOSDResponse); }
        virtual int DeleteOSD(const char *soap_endpoint, const char *soap_action, _trt__DeleteOSD *trt__DeleteOSD, _trt__DeleteOSDResponse &trt__DeleteOSDResponse);
    };
#endif
